using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Sourcewares
{
    /// <summary>
    /// 课件
    /// </summary>
    [Description("课件")]
    public class SourcewareDto: UpdateSourcewareDto
    {
        /// <summary>
        /// 课件分类
        /// </summary>
        [Description("课件分类")]
        public SourcewareCategoryDto SourcewareCategory { get; set; }
    }

    /// <summary>
    /// 课件
    /// </summary>
    [Description("课件")]
    public class AddSourcewareDto:IAddRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }

        /// <summary>
        /// 课件分类Id
        /// </summary>
        [Description("课件分类Id")]
        public string? CategoryId { get; set; }

        /// <summary>
        /// 附件Id
        /// </summary>
        [Description("附件Id")]
        public string AttachmentId { get; set; }

        /// <summary>
        /// 课件类型
        /// </summary>
        [Description("课件类型")]
        public string SourcewareType { get; set; }
    }

    /// <summary>
    /// 课件
    /// </summary>
    [Description("课件")]
    public class UpdateSourcewareDto:AddSourcewareDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }

    /// <summary>
    /// 课件
    /// </summary>
    [Description("课件")]
    public class SimpleSourcewareDto : IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        public string Name { get; set; }
    }
}
